<?php

/**
 * author Sergio Antonio Ochoa Martinez - gnu.java.sergio@gmail.com
 * Copyright (c) 2006-2013 Paco Avila & Josep Llort
 * WebSites: www.openkm.com
 * 
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
defined('_JEXEC') or die;

jimport('joomla.application.component.controller');

class OpenKMControllerConfiguracion extends JControllerLegacy {

    public function display($cachable = false) {
        parent::display($cachable);
    }

    public function buscar() {
        require_once (JPATH_COMPONENT . DS . 'tables' . DS . 'configuracion.php');
        $row = &JTable::getInstance('Configuracion', 'Table');
        if ($row->idConfiguracion != '') {
            $row->load($row->idConfiguracion);
            $password = $row->password;
            $passwordAcceso = $row->passwordAcceso;
        }
        if (!$row->bind(JRequest::get('post'))) {
            JError::raiseError(500, $row->getError());
        }
        if ($row->idConfiguracion != '') {
            $passwordBind = $row->password;
            if ($passwordBind == '') {
                $row->password = $password;
            }
            $passwordAccesoBind = $row->passwordAcceso;
            if ($passwordAccesoBind == '') {
                $row->passwordAcceso = $passwordAcceso;
            }
        }
        if (!$row->store()) {
            JError::raiseError(500, $row->getError());
        }
        $this->setRedirect('index.php?option=com_openkm&view=configuracion&layout=listconfiguracion', JText::_('COM_OPENKM_GUARDED'));
    }

    public function delete() {
        require_once (JPATH_COMPONENT . DS . 'tables' . DS . 'configuracion.php');
        $row = &JTable::getInstance('Configuracion', 'Table');
        $row->idConfiguracion = JRequest::getVar('id');
        if (!$row->delete()) {
            JError::raiseError(500, $row->getError());
        }
        $this->setRedirect('index.php?option=com_openkm&view=configuracion&layout=listconfiguracion', JText::_('COM_OPENKM_DELETED'));
    }

    public function edit() {
        JRequest::setVar('view', 'configuracion');
        JRequest::setVar('layout', 'formconfiguracion');
        $this->display();
    }

    public function test() {
        require_once (JPATH_COMPONENT . DS . 'tables' . DS . 'configuracion.php');
        $row = &JTable::getInstance('Configuracion', 'Table');
        $id = JRequest::getVar('id');
        $row->load($id);
        $user = $row->usuario;
        $password = $row->password;
        $url = $row->url;
        $message = "";
        try {

            $OKMAuth = new SoapClient($url . '/services/OKMAuth?wsdl');
            // Login
            $loginResp = $OKMAuth->login(array('user' => $user, 'password' => $password));
            $token = $loginResp->return;
            $OKMAuth->logout(array('token' => $token));
            $message = JText::_('COM_OPENKM_CONNECTION_SUCCEEDED');
        } catch (Exception $e) {
            $message = JText::_('COM_OPENKM_CANNOT_ESTABLISH_A_CONNECTION');
        }
        $this->setRedirect('index.php?option=com_openkm&view=configuracion&layout=listconfiguracion', $message);
    }

    public function acceso() {
        require_once (JPATH_COMPONENT . DS . 'tables' . DS . 'configuracion.php');
        $row = &JTable::getInstance('Configuracion', 'Table');
        $id = JRequest::getVar('id');
        $row->load($id);
        if ($row->acceso == 'Private') {
            $row->acceso = 'Public';
        } else {
            $row->acceso = 'Private';
        }
        if (!$row->store()) {
            JError::raiseError(500, $row->getError());
        }
        $this->setRedirect('index.php?option=com_openkm&view=configuracion&layout=listconfiguracion', JText::_('COM_OPENKM_UPDATED'));
    }

    public function cancel() {
        $this->setRedirect('index.php?option=com_openkm&view=configuracion&layout=listconfiguracion');
    }

}

?>
