<?php

/**
 * author Sergio Antonio Ochoa Martinez - gnu.java.sergio@gmail.com
 * Copyright (c) 2006-2013 Paco Avila & Josep Llort
 * WebSites: www.openkm.com
 * 
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

class OpenKMViewBuscador extends JViewLegacy {

    public function display($tpl = null) {
        $layout = JRequest::getVar('layout');
        $error = 0;
        require_once(JPATH_COMPONENT . DS . 'tables' . DS . 'configuracion.php');
        $rowConfiguracion = JTable::getInstance('Configuracion', 'Table');
        $id = JRequest::getVar('id');
        $rowConfiguracion->load($id);
        $url = $rowConfiguracion->url;
        $user = $rowConfiguracion->usuario;
        $password = $rowConfiguracion->password;
        $this->assignRef('rowConfiguracion', $rowConfiguracion);
        if ($layout == 'resultado') {
            try {
                $contenido = JRequest::getVar('contenido');
                $nombre = JRequest::getVar('nombre');
                $palabraClave = JRequest::getVar('palabraClave');
                $documento = JRequest::getVar('documento');
                $carpeta = JRequest::getVar('carpeta');
                $tipoDocumento = JRequest::getVar('tipoDocumento');
                $sessionSearch = JFactory::getSession();
                $sessionSearch->set('contenido', $contenido);
                $sessionSearch->set('nombre', $nombre);
                $sessionSearch->set('palabraClave', $palabraClave);
                $sessionSearch->set('documento', $documento);
                $sessionSearch->set('carpeta', $carpeta);
                $sessionSearch->set('tipoDocumento', $tipoDocumento);
                $this->assignRef('sessionSearch', $sessionSearch);
                // Register WSDL
                $OKMAuth = new SoapClient($url . '/services/OKMAuth?wsdl');
                // Login
                $loginResp = $OKMAuth->login(array('user' => $user, 'password' => $password));
                $token = $loginResp->return;

                $buscador = new Buscador();
                $buscador->content = JRequest::getVar('contenido');
                $buscador->name = JRequest::getVar('nombre');
                $keywords = JRequest::getVar('palabraClave');
                if ($keywords != '') {//para saber si existe la palabra
                    $buscador->keywords = $keywords;
                }
                $buscador->domain = JRequest::getVar('documento') + JRequest::getVar('carpeta');
                $buscador->mimeType = JRequest::getVar('tipoDocumento');

                // Register WSDL
                $OKMSearch = new SoapClient($url . '/services/OKMSearch?wsdl');

                $findResp = $OKMSearch->find(array('token' => $token, 'params' => $buscador));
                $resultArray = $findResp->return;
                $OKMAuth->logout(array('token' => $token));
                $this->assignRef('resultArray', $resultArray);
                $this->assignRef('error', $error);
            } catch (Exception $e) {
                $error = 1;
                $this->assignRef('error', $error);
            }
        }
        parent::display($tpl);
    }

}

class Buscador {

    var $path = '/okm:root';
    var $content = '';
    var $name = '';
    var $keywords = array();
    var $domain = 1; //document = 1 folder = 2 mail = 4
    var $mimeType = '';
    var $dashboard = false;
    var $id = 0;
    var $properties = array();

}

?>
